REM ----------------------------------------------------------;
REM Script to create V5 roles
REM Execute this script with SYS user
REM ----------------------------------------------------------;


DEFINE DOSSREF=&1

CREATE ROLE &DOSSREF._ADX_SYS;

grant
        create session,
        create table,
        create view,
        create ANY trigger,
        drop ANY trigger,
        create trigger,
        create sequence,
        create procedure,
        alter session,
        DROP ANY TABLE,
        DROP ANY INDEX,
        ALTER ANY TABLE,
        ALTER ANY INDEX
        to &DOSSREF._ADX_SYS ;

grant select on sys.obj$ to &DOSSREF._ADX_SYS ;
grant select on sys.ind$ to &DOSSREF._ADX_SYS ;
grant select on sys.col$ to &DOSSREF._ADX_SYS ;
grant select on sys.icol$ to &DOSSREF._ADX_SYS ;
grant select on sys.user$ to &DOSSREF._ADX_SYS ;

grant select on v_$session to &DOSSREF._ADX_SYS ;
grant select on v_$process to &DOSSREF._ADX_SYS ;
grant select on v_$parameter to &DOSSREF._ADX_SYS ;

REM Nouveaux droits pour 150
REM --------------------------
REM 

grant select on v_$database to &DOSSREF._ADX_SYS;
grant select on v_$instance to &DOSSREF._ADX_SYS;

REM uniquement si base 10g;
grant select on v_$sgainfo to &DOSSREF._ADX_SYS;

grant select on v_$pgastat to &DOSSREF._ADX_SYS;
grant select on v_$sgastat to &DOSSREF._ADX_SYS;
grant select on v_$statname to &DOSSREF._ADX_SYS ;
grant select on v_$sesstat  to &DOSSREF._ADX_SYS ;
grant select on v_$sqltext_with_newlines  to &DOSSREF._ADX_SYS ;
grant select on v_$LOCK   to &DOSSREF._ADX_SYS ;


REM X3-170327
grant select on gv_$session to &DOSSREF._ADX_SYS ;
grant select on gv_$process to &DOSSREF._ADX_SYS ;
grant select on gv_$parameter to &DOSSREF._ADX_SYS ;

grant select on gv_$database to &DOSSREF._ADX_SYS;
grant select on gv_$instance to &DOSSREF._ADX_SYS;

grant select on gv_$sgainfo to &DOSSREF._ADX_SYS;

grant select on gv_$pgastat to &DOSSREF._ADX_SYS;
grant select on gv_$sgastat to &DOSSREF._ADX_SYS;
grant select on gv_$statname to &DOSSREF._ADX_SYS ;
grant select on gv_$sesstat  to &DOSSREF._ADX_SYS ;
grant select on gv_$sqltext_with_newlines  to &DOSSREF._ADX_SYS ;
grant select on gv_$LOCK   to &DOSSREF._ADX_SYS ;
REM X3-170327


REM Nouveaux droits pour 150
REM --------------------------
REM ces droits devront etre aussi sur utilisateurs

grant select on DBA_OBJECTS  to &DOSSREF._ADX_SYS ;
grant select on dba_tab_privs to &DOSSREF._ADX_SYS;
grant select on dba_role_privs to &DOSSREF._ADX_SYS;
grant select on dba_roles to &DOSSREF._ADX_SYS;

REM ------------------------------------------;
REM GRANT POUR SYSTEM
REM ------------------------------------------;

grant select on DBA_OBJECTS  to SYSTEM with grant option ;
grant select on dba_tab_privs to SYSTEM with grant option;
grant select on dba_role_privs to SYSTEM with grant option;
grant select on dba_roles to SYSTEM with grant option;
exit


